# std::exponential_distribution< _RealType > Class Template Reference
[Continuous Distributions]

List of all members.

## Detailed Description

### template<typename _RealType = double>
class std::exponential_distribution< _RealType >

An exponential continuous distribution for random numbers.

The formula for the exponential probability mass function is .

Distribution Statistics
Mean |
Median |
Mode |
Range |
Standard Deviation |

Definition at line 2088 of file tr1_impl/random.

## Public Types

- typedef _RealType input_type
- typedef _RealType result_type

## Public Member Functions

- exponential_distribution (const result_type &__lambda=result_type(1))
- _RealType lambda () const
- template<class _UniformRandomNumberGenerator> result_type operator() (_UniformRandomNumberGenerator &__urng)
- void reset ()

## Friends

- template<typename _RealType1, typename _CharT, typename _Traits> std::basic_ostream< _CharT,
  _Traits > & operator<< (std::basic_ostream< _CharT, _Traits > &__os, const exponential_distribution< _RealType1 > &__x)
- template<typename _CharT, typename _Traits> std::basic_istream< _CharT,
  _Traits > & operator>> (std::basic_istream< _CharT, _Traits > &__is, exponential_distribution &__x)

## Constructor & Destructor Documentation

template<typename _RealType = double>

std::exponential_distribution< _RealType >::exponential_distribution | ( | const result_type & | __lambda = `result_type(1)` | ) | `[inline, explicit]`

Constructs an exponential distribution with inverse scale parameter .

Definition at line 2101 of file tr1_impl/random.

References _GLIBCXX_DEBUG_ASSERT.

## Member Function Documentation

template<typename _RealType = double>

_RealType std::exponential_distribution< _RealType >::lambda | ( |  | ) | const`[inline]`

Gets the inverse scale parameter of the distribution.

Definition at line 2111 of file tr1_impl/random.

template<typename _RealType = double>

void std::exponential_distribution< _RealType >::reset | ( |  | ) | `[inline]`

Resets the distribution.

Has no effect on exponential distributions.

Definition at line 2120 of file tr1_impl/random.

## Friends And Related Function Documentation

template<typename _RealType = double>
template<typename _RealType1, typename _CharT, typename _Traits>

std::basic_ostream<_CharT, _Traits>& operator<< | ( | std::basic_ostream< _CharT, _Traits > & | __os,
|  | const exponential_distribution< _RealType1 > & | __x |
| ) |  |  | `[friend]`

Inserts a exponential_distribution random number distribution `__x` into the output stream `__os`.

Parameters:

  | __os | An output stream.
  | __x | A exponential_distribution random number distribution.

Returns:
  The output stream with the state of `__x` inserted or in an error state.

template<typename _RealType = double>
template<typename _CharT, typename _Traits>

std::basic_istream<_CharT, _Traits>& operator>> | ( | std::basic_istream< _CharT, _Traits > & | __is,
|  | exponential_distribution< _RealType > & | __x |
| ) |  |  | `[friend]`

Extracts a exponential_distribution random number distribution `__x` from the input stream `__is`.

Parameters:

  | __is | An input stream.
  | __x | A exponential_distribution random number generator engine.

Returns:
  The input stream with `__x` extracted or in an error state.

Definition at line 2154 of file tr1_impl/random.

The documentation for this class was generated from the following file:

- tr1_impl/random